searchData={"items":[{"type":"module","title":"ExBrotli","doc":"Wrapper functions for interacting with the Rust based brotli library","ref":"ExBrotli.html"},{"type":"function","title":"ExBrotli.compress/1","doc":"Compress a binary using brotli","ref":"ExBrotli.html#compress/1"},{"type":"function","title":"Examples - ExBrotli.compress/1","doc":"iex> ExBrotli.compress(\"hello\")\n    {:ok,  <<11, 2, 128, 104, 101, 108, 108, 111, 3>>}","ref":"ExBrotli.html#compress/1-examples"},{"type":"function","title":"ExBrotli.compress!/1","doc":"Compress a binary using brotli, raising an error if the compression fails\n\nsee `compress/1` for examples","ref":"ExBrotli.html#compress!/1"},{"type":"function","title":"ExBrotli.decompress/1","doc":"Decompress a binary using brotli","ref":"ExBrotli.html#decompress/1"},{"type":"function","title":"Examples - ExBrotli.decompress/1","doc":"iex> ExBrotli.decompress(<<11, 2, 128, 104, 101, 108, 108, 111, 3>>)\n    {:ok, \"hello\"}","ref":"ExBrotli.html#decompress/1-examples"},{"type":"function","title":"ExBrotli.decompress!/1","doc":"Decompress a binary using brotli, raising an error if the decompression fails\n\nsee `decompress/1` for examples","ref":"ExBrotli.html#decompress!/1"},{"type":"module","title":"ExBrotli.DigesterCompressor","doc":"","ref":"ExBrotli.DigesterCompressor.html"},{"type":"function","title":"ExBrotli.DigesterCompressor.compress_file/2","doc":"","ref":"ExBrotli.DigesterCompressor.html#compress_file/2"},{"type":"function","title":"ExBrotli.DigesterCompressor.file_extensions/0","doc":"","ref":"ExBrotli.DigesterCompressor.html#file_extensions/0"},{"type":"extras","title":"ExBrotli","doc":"# ExBrotli\n\nWrapper around [rust-brotli](https://github.com/dropbox/rust-brotli)","ref":"readme.html"},{"type":"extras","title":"Installation - ExBrotli","doc":"```elixir\ndef deps do\n  [\n    {:ex_brotli, \"~> 0.1.0\"}\n  ]\nend\n```\n\n# Direct usage\n\n`ExBrotli.compress/1` takes a binary and compresses using Brotli, returns `{:ok, compressed_binary} | {:error, reason}`\n`ExBrotli.compress!/1` takes a binary and compresses using Brotli.  Raise on error.\n\n# Phoenix Asset Compression\n\nAdd configuration to `Plug.Static`.\n\n```elixir\nplug Plug.Static,\n ...\n brotli: true\n ```\n \nThen tell Phoenix to also compress with Brotli.\n\n```elixir\n# Compression for asset pipeline\nconfig :phoenix,\n  static_compressors: [\n    Phoenix.Digester.Gzip,\n    ExBrotli.DigesterCompressor\n  ]\n```","ref":"readme.html#installation"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.36.1"}}